//
//  ViewController.m
//  ex_UIDatePicker
//
//  Created by yoshiyuki oshige on 2013/12/30.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
// 今日の日付ラベルとアウトレット接続してtoDayプロパティ宣言を挿入する
@property (weak, nonatomic) IBOutlet UILabel *toDay;
// 選んだ日付ラベルとアウトレット接続してselectedDateプロパティ宣言
@property (weak, nonatomic) IBOutlet UILabel *selectedDate;
// 日数ラベルとアウトレット接続したプロパティ宣言
@property (weak, nonatomic) IBOutlet UILabel *days;

// デートピッカーをアクション接続してchangedDate:メソッドを挿入する
- (IBAction)changedDate:(UIDatePicker *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    // 日付の書式
    NSDateFormatter *formatter = [[NSDateFormatter alloc]init];
    [formatter setDateFormat:@"yyyy/MM/dd"];
    // 今日の日付を表示する
    self.toDay.text = [formatter stringFromDate:[NSDate date]];
    self.selectedDate.text = [formatter stringFromDate:[NSDate date]];
    // 日数に0と表示する
    self.days.text = @"0";
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// デートピッカーで日付を選んだら実行される
- (IBAction)changedDate:(UIDatePicker *)sender {
    // 日付の書式
    NSDateFormatter *formatter = [[NSDateFormatter alloc]init];
    [formatter setDateFormat:@"yyyy/MM/dd"];
    // 選んだ日付を表示する
    self.selectedDate.text = [formatter stringFromDate:sender.date];
    // 今日の日付ラベルの日付を取り出す
    NSDate *sinceDate = [formatter dateFromString:self.toDay.text];
    // 今日の日付から選んだ日付までの秒数を求める
    NSTimeInterval secs = [sender.date timeIntervalSinceDate:sinceDate];
    // 秒数を日数に換算
    NSInteger numDays = round(secs/(60*60*24));
    // 求めた日数を日数ラベルに表示する
    self.days.text = [NSString stringWithFormat:@"%d",numDays];
}
@end
